# 基础语法

和Markdown类似，ZumDown的书写也是类似纯文本，如果您不需要任何额外的样式，您可以直接当做纯文本进行书写。如果您需要一些额外的样式，可以使用一些特殊的符号格式。

## 几个基本概念

### 空白符

指诸如空格、制表符等只占位置不显示内容的符号。

### 语法字符

用于表达ZumDown语法的符号，例如\`号等。另外像#号和>号等字符出现在行首位置时是语法字符，出现在中间没有特殊意义。

### 可显示字符

除空白符和语法字符以外的其它符号

### 转义

如果您需要在文本内容中书写语法字符，您需要对其进行转义，转义使用\\号，如果您需要书写\\号本身，请连续输入两个。使用\\号加上该语法字符，即可实现转义，即该字符会被当做可显示字符，而不被当语法字符处理。

### 续行符

如果您有一行文本，它很长，书写的时候您想分成几行书写，但希望显示出来的效果仍然是一行，您可以使用续行符。在新的一行前面加上+=两个符号，即可实现续行。注意+=之前不应该有其它字符。从+=到您书写的第一个可显示字符之间的空白符会被忽略。

### 缩进

缩进指在行首出现的一个或连续几个空白符，在ZumDown中，缩进通常会被忽略。如果您想在文中利用缩进产生层级视觉效果，请使用原本在Markdown中代表区块引用的\>号，在ZumDown中它将代表一个制表符的缩进。关于缩进和区块引用的详细说明请看本文档的《与Markdown不兼容的特性》部分。

## Markdown已有的样式功能

### 纯文本

纯文本直接像正常那样书写就可以了。注意，与Markdown不同的是，Markdown的行尾需要两个空白符（空格等）才会换行，而在ZumDown中，你所书写的一行，就是实际上的一行，除非你使用续行符。

### 换行符

在ZumDown中无需使用Markdown的换行符，直接换行即可。

### 特殊字符自动转换

如果您需要输入的一些可显示字符，而它对于HTML来说是特殊字符，ZumDown渲染器会自动将其转换为HTML实体。
（注意同转义区分，转义是针对ZumDown语法字符，如果您输入的是ZumDown语法字符，需要手动加上转义符\\，而不会自动转义）
书写时写的HTML实体本身可以被保留，例如您想插入一个版权标记 &copy; ，输入`&copy;`并在前后各留一个空白符即可。

### 标题

有两种写法，均和Markdown相同（这两种分别被称作类Setext和类atx形式）。

类 Setext 形式：

```code:zumdown

大标题
=============

二级标题
-------------

```

显示效果：

>大标题
>=============
>
>二级标题
>-------------

类 atx 形式：

```code:zumdown

# 这是 大标题

## 这是 二级标题

###### 这是 六级标题

```

显示效果：

># 这是 大标题
>
>## 这是 二级标题
>
>###### 这是 六级标题


## 与Markdown不兼容的特性

值得注意的是，ZumDown虽然兼容大部分Markdown语法语义，但并不是完全兼容，这里特意将不能兼容的部分及替代方法整理出来加以介绍。

### 区块引用

原本在Markdown中代表区块引用的\>号，在ZumDown中用于替代制表符缩进。而您如果想使用区块引用功能，请参照“Superblock”

### 缩进和代码区块

在ZumDown和部分其它的Markdown方言中，缩进通常都会被忽略。如果您想在文中利用缩进产生层级视觉效果，请使用原本在Markdown中代表区块引用的\>号，在ZumDown中它将代表一个制表符的缩进。

如果是在标准的Markdown中，四个空格或一个制表符代表的缩进是“代码块”，而该功能在ZumDown和部分其它的Markdown方言中被禁用。如果您想显示一些源代码，请参照文档的Superblock部分对code区块的介绍。

原本的另一种形式的代码区块，即一对三个\`号包括的代码块，在ZumDown中被定义为Superblcok，它具备有丰富的功能，其中也包括了Markdown原本所提供的代码区块功能，只是使用稍有不同。关于Superblock的使用请参照本文档的Superblock部分。

### 换行符与续行符

如果您有一行文本，它很长，书写的时候您想分成几行书写，但希望显示出来的效果仍然是一行，您可以使用续行符。在新的一行前面加上+=两个符号，即可实现续行。注意+=之前不应该有其它字符。从+=到您书写的第一个可显示字符之间的空白符会被忽略。在ZumDown中无需使用Markdown的换行符，直接换行即可。
